Skip to main content
`Ctrl`+`K`

# get_formats

astropy.io.registry.get_formats(data_class=None, readwrite=None)

  Get the list of registered I/O formats as a `Table`.

  Parameters:
    data_class class, optional

      Filter readers/writer to match data class (default = all classes).

    readwrite `python:str` or `python:None`, optional

      Search only for readers (`"Read"`) or writers (`"Write"`). If None search for both. Default is None.

      Added in version 1.3.

  Returns:
    format_table `Table`

      Table of available I/O formats.